(defun ins-text	(/ dcl_id what)		; which is for insert the most useful text .
  (princ "\nı")
  (if
    (< (setq dcl_id (load_dialog (strcat yyfCADDir "\\insNote.dcl")))
       0
    )
     (exit)
  )
  (if (not (new_dialog "insNote" dcl_id))
    (exit)
  )
  (init)
  (action_tile "basNote" "(basNote $value)")
  (action_tile "selNote" "(selNote $value)")
  (action_tile "modNote" "(modNote)")
  (action_tile "insNote" "(done_dialog 2)")
  (setq what (start_dialog))
  (if (= what 2)
    (insNote)
  )
  (unload_dialog dcl_id)
  (setq notelist nil)
  (setq selist nil)
)
(defun init (/ f1 notestr)
  (setq notelist '())
  (setq f1 (open (strcat yyfCADDir "\\note.txt") "r"))
  (while (setq notestr (read-line f1))
    (setq notelist (append notelist (list notestr)))
  )
  (close f1)
  (start_list "basNote")
  (mapcar 'add_list notelist)
  (end_list)
  (princ)
)
(defun basNote (num / n selstr)		;㶯б
  (setq n (atoi num))
  (setq selstr (nth n notelist))
  (setq selist (append selist (list selstr)))
  (start_list "selNote")
  (mapcar 'add_list selist)
  (end_list)
)
(defun insNote (/ i j n selstr numstr inspt liststr oldlayer)
  (setq i (length selist))
  (setq inspt (getpoint "\n :"))
  (setq oldlayer (getvar "clayer"))
  (setvar "cmdecho" 0)
  (setvar "osmode" 0)
  (ExistLayer)
  (setvar "CLAYER" "MARK")
  (setq liststr "Ҫ:")
  (setq j 1)
  (setq n 0)
  (ExistTextStyle)
  (repeat i
    (setq inspt (polar inspt -1.57 (* 5 (getvar "dimscale"))))
    (COMMAND "_.TEXT"
	     "S"
	     "goodmateCN"
	     inspt
	     (* 2.5 (GETVAR "DIMSCALE"))
	     0
	     liststr
    )
    (setq numstr (strcat "  " (itoa j) "."))
    (setq selstr (nth n selist))
    (setq liststr (strcat numstr selstr))
    (setq j (1+ j))
    (setq n (1+ n))
  )
  (setq inspt (polar inspt -1.57 (* 5 (getvar "dimscale"))))
  (COMMAND "_.TEXT"
	   "S"
	   "goodmateCN"
	   inspt
	   (* 2.5 (GETVAR "DIMSCALE"))
	   0
	   liststr
  )

  (setvar "clayer" oldlayer)
  (setvar "cmdecho" 1)
  (princ)
)
(defun selNote (selno / n i kestr kelist)
  (setq n (atoi selno))
  (setq i 0)
  (setq kestr (nth i selist))
  (repeat (length selist)
    (if	(/= i n)
      (setq kelist (append kelist (list kestr))
      )
    )
    (setq i (1+ i))
    (setq kestr (nth i selist))
  )
  (setq selist kelist)
  (start_list "selNote")
  (mapcar 'add_list selist)
  (end_list)
)
(defun modNote ()
  (startapp "notepad.exe" (STRCAT yyfCADDir "\\note.txt"))
)



(defun Lf-InsertText2(strVal ptIns txtHei)
 (command "_text" "s" "goodmateCN" "j" "bl" ptIns txtHei "0.0" strVal)
)

(defun CrateTextStyle()
  (command "_style" "goodmateCN" "_GB2312" "" 0.8 "" "" "" "")
)

(defun ExistTextStyle()
  (if (= (tblsearch "style" "goodmateCN") nil)
    (CrateTextStyle)
  )
)

(defun CreateLayer()
  (command "_layer" "N" "MARK" "")
  (command "_Layer" "S" "MARK" "C" "3" "" "")
)

(defun ExistLayer()
  (if (= (tblsearch "layer" "MARK") nil)
    (CreateLayer)
  )
)